Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035369
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2017-02-27 13:062017-03-22 01:01
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revision67204ba1503e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035369: Positive commission is generated from fully paid Credit Memos

DescriptionPositive commission is generated from fully paid Credit Memos
Steps To ReproduceAs group admin role:
   Create a new Commission
      Frequency Type: Monthly
      Basis Document: Invoice
      Basis Status: Fully paid documents
      Basis Amount: Net amount
   Add a line to it
      Based on Sales Rep.: Y
      Multiplier Amount: 0.5
   Create a sales invoice using the sales representative of the commision and pay it
   Create a credit memo using the sales representative of the commision and pay it
   Go to Commission window and launch the Generate Commission process
   Check in Commission Payment - Amounts - Details tab that actual amount and converted amount are positive for the record related with the credit memo
      
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0095408)
AtulOpenbravo (developer)
2017-03-20 06:10
edited on: 2017-03-21 10:37

- Login As group admin role:
- Create a new Commission
      Frequency Type: Monthly
      Basis Document: Invoice
      Basis Status: Fully paid documents
      Basis Amount: Net amount
- Add a line to it
      Based on Sales Rep.: Y
      Multiplier Amount: 0.5
- Create a sales invoice using the sales representative of the commision and pay it
- Create a credit memo using the sales representative of the commision and pay it
- Go to Commission window and launch the Generate Commission process
- Check in Commission Payment - Amounts - Details tab that actual amount and converted amount are negative for the record related with the credit memo.

(0095456)
hgbot (developer)
2017-03-21 11:18

Repository: erp/devel/pi
Changeset: 67204ba1503ef80962651dfe063f2b8637888b29
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Mar 20 10:43:41 2017 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/67204ba1503ef80962651dfe063f2b8637888b29 [^]

Fixes issue 35369: Positive commission generated from fully paid Credit Memos

When calculating commission for invoices with multiline payment terms commission is
calculated based on expected payment amount in the particular month. Expected amount
sign is as per the type of document type so -1 multiplier in case of credit memo
is no required in case of fully paid document basis.

---
M src-db/database/model/functions/C_COMMISSION_PROCESS.xml
---
(0095457)
aferraz (developer)
2017-03-21 11:19

Code review + Testing OK
(0095492)
hudsonbot (developer)
2017-03-22 01:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/f76f24f98700 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-02-27 13:06 ngarcia New Issue
2017-02-27 13:06 ngarcia Assigned To => Triage Finance
2017-02-27 13:06 ngarcia Modules => Core
2017-02-27 13:06 ngarcia Triggers an Emergency Pack => No
2017-02-27 13:06 ngarcia Issue Monitored: networkb
2017-02-27 15:02 markmm82 Assigned To Triage Finance => AtulOpenbravo
2017-03-20 06:10 AtulOpenbravo Status new => scheduled
2017-03-20 06:10 AtulOpenbravo Note Added: 0095408
2017-03-21 10:37 aferraz Steps to Reproduce Updated View Revisions
2017-03-21 10:37 aferraz Note Edited: 0095408 View Revisions
2017-03-21 11:18 hgbot Checkin
2017-03-21 11:18 hgbot Note Added: 0095456
2017-03-21 11:18 hgbot Status scheduled => resolved
2017-03-21 11:18 hgbot Resolution open => fixed
2017-03-21 11:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/67204ba1503ef80962651dfe063f2b8637888b29 [^]
2017-03-21 11:19 aferraz Review Assigned To => aferraz
2017-03-21 11:19 aferraz Note Added: 0095457
2017-03-21 11:19 aferraz Status resolved => closed
2017-03-21 11:19 aferraz Fixed in Version => 3.0PR17Q2
2017-03-22 01:01 hudsonbot Checkin
2017-03-22 01:01 hudsonbot Note Added: 0095492


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker